package org.processmining.streamheuristicsminer.plugins;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.eventstream.core.interfaces.XSEventStream;
import org.processmining.eventstream.readers.acceptingpetrinet.XSEventStreamToAcceptingPetriNetReader;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.stream.core.enums.CommunicationType;
import org.processmining.streamabstractrepresentation.plugins.AbstractUncoupledStreamMinerDefaultDialogsPlugin;
import org.processmining.streamheuristicsminer.algorithms.UncoupledAcceptingPetriNetStreamHeursticsMinerImpl;
import org.processmining.streamheuristicsminer.parameters.UncoupledStreamHeuristicMinerParametersImpl;

@Plugin(name = "Discover Accepting Petri Net(s) (Heuristics Miner)", parameterLabels = {
		"Event Stream" }, returnLabels = {
				"Heuristics Miner (Event Stream)" }, returnTypes = { XSEventStreamToAcceptingPetriNetReader.class })
public class AcceptingPetriNetStreamHeuristicsMinerPlugin extends
		AbstractUncoupledStreamMinerDefaultDialogsPlugin<XSEventStreamToAcceptingPetriNetReader, UncoupledStreamHeuristicMinerParametersImpl> {

	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "S.J. van Zelst", email = "s.j.v.zelst@gmail.com")
	@PluginVariant(requiredParameterLabels = { 0 })
	@Override
	public XSEventStreamToAcceptingPetriNetReader apply(UIPluginContext context, XSEventStream stream) {
		return super.apply(context, stream);
	}

	protected UncoupledStreamHeuristicMinerParametersImpl getFreshParameters(PluginContext context) {
		return new UncoupledStreamHeuristicMinerParametersImpl();
	}

	protected XSEventStreamToAcceptingPetriNetReader constructReader(PluginContext context, CommunicationType comm,
			UncoupledStreamHeuristicMinerParametersImpl parameters) {
		return new UncoupledAcceptingPetriNetStreamHeursticsMinerImpl(context, parameters);
	}

}
